コンテンツにスキップ
ShopentlyLearn

在庫を一覧表示

1ページにつき最大100件を取得します。一覧にはメタデータのみが含まれ、コードは表示されません。

GET/api/v1/inventory/products/{product_id}/digital-units

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-units \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

レスポンス

{
  "data": {
    "order_version": 2,
    "total": 1,
    "units": [
      {
        "content_state": "present",
        "delivery_id": "delivery-example",
        "filename": null,
        "id": "00000000-0000-4000-8000-000000000003",
        "issued_at": null,
        "kind": "code",
        "location_id": "location-digital",
        "mime_type": null,
        "payload_id": "00000000-0000-4000-8000-000000000004",
        "product_id": "example",
        "size_bytes": null,
        "sort_order": 1,
        "state": "available",
        "version": 1,
        "warehouse_id": "warehouse-main"
      }
    ]
  },
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
プールのコードとファイルを表示inventory.digital_unit:read